#Rem

#ECHO Adding Organization Family Tables and Indexes

#REM
#REM Map SYNONYMS to DBCOMMON global variables
#REM
#DEFINE TAB_QUAL {{DBCOMMON:GlobalTabQual}}
#DEFINE ON_TABLE_SEGMENT {{DBCOMMON:GlobalTableLocation}}
#DEFINE ON_INDEX_SEGMENT {{DBCOMMON:GlobalIndexLocation}}
#DEFINE COMMAND_TERMINATOR GO
#DEFINE COMMAND_TERMINATION_MODE START_OF_LINE

#SUPPRESS -15036
#SUPPRESS -3701

#REM No data is being returned.
#SUPPRESS -100


CREATE TABLE <<TAB_QUAL>>.ORG_FAMILY
	(ORG_ID      VARCHAR(15) NULL,
	 ORG_ID_INT  INTEGER     NULL,
     ORGLEVEL    INTEGER     NULL,
     L1          VARCHAR(15) NULL,
     L2          VARCHAR(15) NULL,
     L3          VARCHAR(15) NULL,
     L4          VARCHAR(15) NULL,
     L5          VARCHAR(15) NULL,
     L6          VARCHAR(15) NULL,
     L7          VARCHAR(15) NULL,
     L8          VARCHAR(15) NULL,
     L9          VARCHAR(15) NULL,
     L10         VARCHAR(15) NULL,
     L11         VARCHAR(15) NULL,
     L12         VARCHAR(15) NULL,
     L13         VARCHAR(15) NULL,
     L14         VARCHAR(15) NULL,
     L15         VARCHAR(15) NULL,
     L16         VARCHAR(15) NULL,
     L17         VARCHAR(15) NULL,
     L18         VARCHAR(15) NULL,
     L19         VARCHAR(15) NULL,
     L20         VARCHAR(15) NULL,
     L21         VARCHAR(15) NULL,
     L22         VARCHAR(15) NULL,
     L23         VARCHAR(15) NULL,
     L24         VARCHAR(15) NULL,
     L25         VARCHAR(15) NULL,
     L26         VARCHAR(15) NULL,
     L27         VARCHAR(15) NULL,
     L28         VARCHAR(15) NULL,
     L29         VARCHAR(15) NULL,
     L30         VARCHAR(15) NULL,
     L1N         VARCHAR(40) NULL,
     L2N         VARCHAR(40) NULL,
     L3N         VARCHAR(40) NULL,
     L4N         VARCHAR(40) NULL,
     L5N         VARCHAR(40) NULL,
     L6N         VARCHAR(40) NULL,
     L7N         VARCHAR(40) NULL,
     L8N         VARCHAR(40) NULL,
     L9N         VARCHAR(40) NULL,
     L10N        VARCHAR(40) NULL,
     L11N        VARCHAR(40) NULL,
     L12N        VARCHAR(40) NULL,
     L13N        VARCHAR(40) NULL,
     L14N        VARCHAR(40) NULL,
     L15N        VARCHAR(40) NULL,
     L16N        VARCHAR(40) NULL,
     L17N        VARCHAR(40) NULL,
     L18N        VARCHAR(40) NULL,
     L19N        VARCHAR(40) NULL,
     L20N        VARCHAR(40) NULL,
     L21N        VARCHAR(40) NULL,
     L22N        VARCHAR(40) NULL,
     L23N        VARCHAR(40) NULL,
     L24N        VARCHAR(40) NULL,
     L25N        VARCHAR(40) NULL,
     L26N        VARCHAR(40) NULL,
     L27N        VARCHAR(40) NULL,
     L28N        VARCHAR(40) NULL,
     L29N        VARCHAR(40) NULL,
     L30N        VARCHAR(40) NULL
) <<ON_TABLE_SEGMENT>>
go
     
CREATE TABLE <<TAB_QUAL>>.TEMP_ORG_FAMILY
	(ORG_ID      VARCHAR(15) NULL,
	 ORG_ID_INT  INTEGER     NULL,
     ORGLEVEL    INTEGER     NULL,
     L1          VARCHAR(15) NULL,
     L2          VARCHAR(15) NULL,
     L3          VARCHAR(15) NULL,
     L4          VARCHAR(15) NULL,
     L5          VARCHAR(15) NULL,
     L6          VARCHAR(15) NULL,
     L7          VARCHAR(15) NULL,
     L8          VARCHAR(15) NULL,
     L9          VARCHAR(15) NULL,
     L10         VARCHAR(15) NULL,
     L11         VARCHAR(15) NULL,
     L12         VARCHAR(15) NULL,
     L13         VARCHAR(15) NULL,
     L14         VARCHAR(15) NULL,
     L15         VARCHAR(15) NULL,
     L16         VARCHAR(15) NULL,
     L17         VARCHAR(15) NULL,
     L18         VARCHAR(15) NULL,
     L19         VARCHAR(15) NULL,
     L20         VARCHAR(15) NULL,
     L21         VARCHAR(15) NULL,
     L22         VARCHAR(15) NULL,
     L23         VARCHAR(15) NULL,
     L24         VARCHAR(15) NULL,
     L25         VARCHAR(15) NULL,
     L26         VARCHAR(15) NULL,
     L27         VARCHAR(15) NULL,
     L28         VARCHAR(15) NULL,
     L29         VARCHAR(15) NULL,
     L30         VARCHAR(15) NULL,
     L1N         VARCHAR(40) NULL,
     L2N         VARCHAR(40) NULL,
     L3N         VARCHAR(40) NULL,
     L4N         VARCHAR(40) NULL,
     L5N         VARCHAR(40) NULL,
     L6N         VARCHAR(40) NULL,
     L7N         VARCHAR(40) NULL,
     L8N         VARCHAR(40) NULL,
     L9N         VARCHAR(40) NULL,
     L10N        VARCHAR(40) NULL,
     L11N        VARCHAR(40) NULL,
     L12N        VARCHAR(40) NULL,
     L13N        VARCHAR(40) NULL,
     L14N        VARCHAR(40) NULL,
     L15N        VARCHAR(40) NULL,
     L16N        VARCHAR(40) NULL,
     L17N        VARCHAR(40) NULL,
     L18N        VARCHAR(40) NULL,
     L19N        VARCHAR(40) NULL,
     L20N        VARCHAR(40) NULL,
     L21N        VARCHAR(40) NULL,
     L22N        VARCHAR(40) NULL,
     L23N        VARCHAR(40) NULL,
     L24N        VARCHAR(40) NULL,
     L25N        VARCHAR(40) NULL,
     L26N        VARCHAR(40) NULL,
     L27N        VARCHAR(40) NULL,
     L28N        VARCHAR(40) NULL,
     L29N        VARCHAR(40) NULL,
     L30N        VARCHAR(40) NULL
) <<ON_TABLE_SEGMENT>>
go

CREATE INDEX XIE1ORG_FAMILY
  ON <<TAB_QUAL>>.ORG_FAMILY
(
	ORG_ID
)  <<ON_INDEX_SEGMENT>>
go

CREATE INDEX XIE2ORG_FAMILY
  ON <<TAB_QUAL>>.ORG_FAMILY
(
	ORG_ID_INT
)  <<ON_INDEX_SEGMENT>>
go

CREATE INDEX XIE3ORG_FAMILY
  ON <<TAB_QUAL>>.ORG_FAMILY
(
	L1
)  <<ON_INDEX_SEGMENT>>
go

CREATE INDEX XIE4ORG_FAMILY
  ON <<TAB_QUAL>>.ORG_FAMILY
(
	L2
)  <<ON_INDEX_SEGMENT>>
go

CREATE INDEX XIE5ORG_FAMILY
  ON <<TAB_QUAL>>.ORG_FAMILY
(
	L3
)  <<ON_INDEX_SEGMENT>>
go

CREATE INDEX XIE1TEMP_FAMILY
  ON <<TAB_QUAL>>.TEMP_ORG_FAMILY
(
	ORG_ID
)  <<ON_INDEX_SEGMENT>>
go

CREATE INDEX XIE2TEMP_FAMILY
  ON <<TAB_QUAL>>.TEMP_ORG_FAMILY
(
	ORG_ID_INT
)  <<ON_INDEX_SEGMENT>>
go

CREATE INDEX XIE3TEMP_FAMILY
  ON <<TAB_QUAL>>.TEMP_ORG_FAMILY
(
	L1
) <<ON_INDEX_SEGMENT>>
go

CREATE INDEX XIE4TEMP_FAMILY
  ON <<TAB_QUAL>>.TEMP_ORG_FAMILY
(
	L2
)  <<ON_INDEX_SEGMENT>>
go

CREATE INDEX XIE5TEMP_FAMILY
  ON <<TAB_QUAL>>.TEMP_ORG_FAMILY
(
	L3
)  <<ON_INDEX_SEGMENT>>
go

