#Rem
#Rem $Header:$
#Rem
#Rem Desc: DB2/2 grant script used to grant users access to Tivoli Asset Management Tables.
#Rem

#REM
#REM Map SYNONYMS to DBCOMMON global variables
#REM
#DEFINE TAB_QUAL {{DBCOMMON:GlobalTabQual}}
#DEFINE GRANT_USER {{tsdbuild:promptusers}}

#REM
#REM  Grant DELETE, INSERT, SELECT, and Update to TABLES.
#REM 

#ECHO %!b_msgs[B_ECHO_GRANT_TABLE_TAM]

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.INV_PEOPLE TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.INV_CONNECTION TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.ATTRIBUTE_DEF TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.CONNECTION TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.CONNECTION_TREE TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.CONNECTION_TYPE TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.FIELD_MAP TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.H_OBJECT TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.H_OBJECT_TREE TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.INVENTORY_HISTORY TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.INV_CONTRACT TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.IS_INVENTORY TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.I_ATTRIB_VALUE TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.I_ATTRIBUTE_MAP TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.I_OBJECT TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.I_OBJECT_TREE TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.I_PREFERENCES TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.I_SMS_MIG_MAP TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.I_SMS_MIGRATION TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.MAINTENANCE_FEE TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.MIGRATION TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.PM_ATTRIB_VALUE TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.PM_OBJECT TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.PM_OBJECT_TREE TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.REPORT_ATTRIB TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.REPORT_DETAIL TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.REPORT_H_OBJ TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.REPORT_I_OBJ TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.REPORT_TREE TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.SCIM_TRANSLATE TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.VALUATION TO <<GRANT_USER>> ;

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.I_SCHEDULE TO <<GRANT_USER>> ;

#REM *********************************************************************************
#REM 6.0-TSD-0010 Defect EQ20846
#REM Database error when using C/2 logins in Asset Management.
#REM 17mar00
#REM *********************************************************************************

GRANT DELETE, INSERT, SELECT, UPDATE ON <<TAB_QUAL>>.EXTERNAL_MAP TO <<GRANT_USER>> ;

#REM *********************************************************************************
#REM END 6.0-TSD-0010 Defect EQ20846
#REM *********************************************************************************

#Rem
#Rem Grant Select view access.
#Rem 

#ECHO %!b_msgs[B_ECHO_GRANT_VIEW_TAM]


GRANT SELECT ON <<TAB_QUAL>>.BR_CONNECTION TO <<GRANT_USER>> ;

GRANT SELECT ON <<TAB_QUAL>>.BR_H_OBJECT TO <<GRANT_USER>> ;

GRANT SELECT ON <<TAB_QUAL>>.BR_I_OBJECT TO <<GRANT_USER>> ;

GRANT SELECT ON <<TAB_QUAL>>.BR_PM_OBJECT TO <<GRANT_USER>> ;

GRANT SELECT ON <<TAB_QUAL>>.INV_VAL TO <<GRANT_USER>> ;

GRANT SELECT ON <<TAB_QUAL>>.RPT_INV_CON TO <<GRANT_USER>> ;

GRANT SELECT ON <<TAB_QUAL>>.RPT_INV_HST TO <<GRANT_USER>> ;

GRANT SELECT ON <<TAB_QUAL>>.RPT_INV_VAL TO <<GRANT_USER>> ;
